Package org.drinkless.tdlib

# Class TdApi.GetMessageStatistics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.MessageStatistics>
org.drinkless.tdlib.TdApi.GetMessageStatistics

Enclosing class:
  TdApi

public static class TdApi.GetMessageStatistics extends TdApi.Function<TdApi.MessageStatistics>
Returns detailed statistics about a message. Can be used only if message.canGetStatistics == true.

Returns `MessageStatistics`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isDark`
  Pass true if a dark theme is used by the application.
  `long`
  `messageId`
  Message identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetMessageStatistics()`
  Default constructor for a function, which returns detailed statistics about a message.
  `GetMessageStatistics(long chatId, long messageId, boolean isDark)`
  Creates a function, which returns detailed statistics about a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### messageId

    public long messageId
    Message identifier.

  - ### isDark

    public boolean isDark
    Pass true if a dark theme is used by the application.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetMessageStatistics

    public GetMessageStatistics()
    Default constructor for a function, which returns detailed statistics about a message. Can be used only if message.canGetStatistics == true.

    Returns `MessageStatistics`

  - ### GetMessageStatistics

    public GetMessageStatistics(long chatId, long messageId, boolean isDark)
    Creates a function, which returns detailed statistics about a message. Can be used only if message.canGetStatistics == true.

    Returns `MessageStatistics`

    Parameters:
      `chatId` - Chat identifier.
      `messageId` - Message identifier.
      `isDark` - Pass true if a dark theme is used by the application.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.MessageStatistics>`
    Returns:
      this.CONSTRUCTOR